package com.huimv.admin.service.secondary;

import com.huimv.admin.dto.MachineControlDTO;
import com.huimv.admin.utils.Result;
import com.huimv.admin.vo.MachineControlVO;

import java.util.List;
import java.util.Map;

/**
 * @Author yinhao
 * @Date 2021/4/1 17:46
 * @Description 料控管理Service Interface
 */
public interface MachineControlService {

//    /**
//     * 根据机器id查询料机信息
//     * @param zsId
//     * @return
//     */
//    Result listByZsId(Integer zsId);

    /**
     * 根据机器id保存或修改料机信息
     * @param machineControlDTO
     * @return
     */
    void save(MachineControlDTO machineControlDTO);

    /**
     * 分页条件列表查询
     * @param pageNum
     * @param pageSize
     * @param keyword
     * @return
     */
    Map<String,Object> list(Integer pageNum, Integer pageSize, String keyword);


    /**
     * 根据id删除
     * @param id
     */
    void deleteById(Integer id);

    /**
     * 新增时选择猪舍的下拉框
     * @return
     */
    List<Map<String,Object>> selectBox4add();

}
