package com.huimv.face.repo;

import com.huimv.face.domain.FaceReco;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;

import java.util.List;

public interface FaceRecoRepository extends JpaRepository<FaceReco, Integer>, JpaSpecificationExecutor<FaceReco> {
    @Query(nativeQuery = true,value = "SELECT * FROM face_reco WHERE SBID=\"110201190808KN4872\" OR SBID=\"110201190808KN2340\" OR SBID=\"110201190808KN1206\" OR SBID=\"110201190808KN4475\" OR SBID=\"110201190808KN1937\" OR SBID=\"110201190808KN4191\" OR SBID=\"110201190808KN4746\" OR SBID=\"110201190808KN0582\" OR SBID=\"110201190808KN1791\" OR SBID=\"110201190808KN2096\" OR SBID=\"110201190808KN1555\" OR SBID=\"110201190808KN2053\" ORDER BY id  DESC   LIMIT  10 ")
    List<FaceReco> findTop10ByOrderByIdDesc();


}
