package com.huimv.face.repo;

import com.huimv.face.domain.FaceSbda;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;

public interface FaceSbdaRepository extends JpaRepository<FaceSbda, Integer>, JpaSpecificationExecutor<FaceSbda> {

    @Query(nativeQuery = true,value = "SELECT * FROM  face_sbda  where SBID= ?1")
    FaceSbda findAllBySBID(String SBID);

    @Query(nativeQuery = true,value = "SELECT * FROM  face_sbda  where SBID= ?1")
    FaceSbda findAllBySBID1(String SBID);
}
