package com.huimv.face.repo;

import com.huimv.face.domain.FaceUser;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;

public interface FaceUserRepository extends JpaRepository<FaceUser, Integer>, JpaSpecificationExecutor<FaceUser> {

    @Query(nativeQuery = true,value = "SELECT * FROM  face_user  where USERID= ?1")
    FaceUser findAllByUSERID(String USERID);

    @Query(nativeQuery = true,value = "SELECT * FROM  face_user  where XM = ?1")
    FaceUser findAllByUserName(String userName);
}
