package com.huimv.face.service;


import com.huimv.face.domain.FaceReco;

import java.util.List;

/**
 * @Project : huimv.shiwan
 * @Package : com.huimv.face.service
 * @Description : TODO
 * @Author : yuxuexuan
 * @Create : 2020/12/29 0029 10:16
 **/
public interface FaceRecoService {
    /*
    * @Method      : findOneDay
    * @Description : 查询一天的数据
    * @Params      : []
    * @Return      : com.huimv.face.result.Result
    *
    * @Author      : Administrator
    * @Date        : 2020/12/29 0029
    * @Time        : 14:51
    */
    List findOneDay();

    /*
    * @Method      : findOneYear
    * @Description : 查询一年的数据
    * @Params      : []
    * @Return      : java.util.List
    *
    * @Author      : yuxuexuan
    * @Date        : 2020/12/31 0031
    * @Time        : 15:56
    */
    List findOneYear();

    /*
    * @Method      : findOneWeek
    * @Description : 查询一周的数据
    * @Params      : []
    * @Return      : java.util.List
    *
    * @Author      : yuxuexuan
    * @Date        : 2020/12/31 0031
    * @Time        : 15:57
    */
    List findOneWeek();

    /*
    * @Method      : findTop10ByOrderByIdDesc
    * @Description : 查询最近的十条数据
    * @Params      : []
    * @Return      : java.util.List<com.huimv.face.domain.FaceReco>
    *
    * @Author      : yuxuexuan
    * @Date        : 2020/12/31 0031
    * @Time        : 15:57
    */
    List<FaceReco> findTop10ByOrderByIdDesc();
}
