package com.huimv.video.repo;

import com.huimv.video.domain.SjHkAq;
import com.huimv.video.domain.SjHkSl;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;

import java.util.Date;
import java.util.List;

public interface SjHkSlRepository extends JpaRepository<SjHkSl, Integer>, JpaSpecificationExecutor<SjHkSl> {
	
	@Query(nativeQuery = true ,value = "select * from sj_hk_sl where lqid like %?1% limit ?2 , ?3")
    List<SjHkSl> findAll(String name, Integer startPage, Integer pageSize);

    List<SjHkSl> findByLqidOrderById(Integer LQID);

    List<SjHkSl> findAllByScsjBetweenAndLqidAndCgqid(Date startTime, Date endTime , Integer LQID,String CGQID);
}
