package com.huimv.admin.repo.secondary;

import com.huimv.admin.domain.secondary.DaJqda;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;

import java.util.List;

public interface DaJqdaRepo extends JpaRepository<DaJqda, Integer>, JpaSpecificationExecutor<DaJqda> {

    @Query(nativeQuery = true ,value = "SELECT * FROM da_jqda order by id DESC ")
    List<DaJqda> findMax();

    List<DaJqda> findAllByZSID(Integer ZSID);
}