package com.huimv.video.repo;

import com.huimv.video.domain.SjHkAq;
import com.huimv.video.domain.SjHkDl;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;

import java.util.Date;
import java.util.List;

public interface SjHkDlRepository extends JpaRepository<SjHkDl, Integer>, JpaSpecificationExecutor<SjHkDl> {
	
	@Query(nativeQuery = true ,value = "select * from sj_hk_dl where lqid like %?1% limit ?2 , ?3")
    List<SjHkDl> findAll(String name, Integer startPage, Integer pageSize);


    List<SjHkDl> findAllByScsjBetweenAndLqid(Date startTime, Date endTime , Integer LQID);
}
